/**
 * Copyright 2010 The Kuali Foundation Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package org.kuali.student.lum.lu.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.kuali.student.core.entity.MetaEntity;

@Entity
@Table(name = "KSLU_CLU_RSLT_LU_ALOW_TYPE")
@NamedQueries( { @NamedQuery(name = "AllowedCluResultLuType.getAllowedTypesByLuType", query = "SELECT relType.cluResultType.id FROM AllowedCluResultLuType relType WHERE luType.id = :luTypeId") })
public class AllowedCluResultLuType extends MetaEntity {

	private static final long serialVersionUID = 1L;

	@ManyToOne
	@JoinColumn(name = "CLU_RSLT_TYPE_ID")
	private CluResultType cluResultType;

	@ManyToOne
	@JoinColumn(name = "LU_TYPE_ID")
	private LuType luType;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "EFF_DT")
	private Date effectiveDate;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "EXPIR_DT")
	private Date expirationDate;

	public LuType getLuType() {
		return luType;
	}

	public void setLuType(LuType luType) {
		this.luType = luType;
	}

	public Date getEffectiveDate() {
		return effectiveDate;
	}

	public void setEffectiveDate(Date effectiveDate) {
		this.effectiveDate = effectiveDate;
	}

	public Date getExpirationDate() {
		return expirationDate;
	}

	public void setExpirationDate(Date expirationDate) {
		this.expirationDate = expirationDate;
	}
	
	public CluResultType getCluResultType() {
		return cluResultType;
	}

	public void setCluResultType(CluResultType cluResultType) {
		this.cluResultType = cluResultType;
	}

}